Sync with Waxpeer session to auto-fill API key

Create merchant deposit

POST/v2/merchant/create-deposit

Create a deposit for a user. You can create a deposit in two ways:

  1. Load a user's inventory BEFORE creating a deposit. Create a deposit with an already filled array of items (steam_id, trade_url_token, game, items ARE REQUIRED FOR THIS ACTION!).

  2. Create a deposit without items, call the /create-steam-offer method later.

Parameters

NameLocationTypeDescription
api
required
querystring

Request body

NameLocationTypeDescription
merchant
required
bodystring

Merchant name / identifier

deposit_id
required
bodystring

Custom merchant deposit ID (up to 50 characters)

steam_id
optional
bodystring

Steam ID64 (17 digits)

trade_url_token
optional
bodystring

Trade URL 8-character token

game
optional
bodyenum

Game code for requested items (csgo, tf2, rust, dota2)

enum: csgo

items
optional
bodyarray<string>

Array of items

Example
{
  "merchant": "mymerchant",
  "deposit_id": "123456asd",
  "steam_id": "76561198000000000",
  "trade_url_token": "abcdefgh",
  "game": "csgo",
  "items": [
    "123",
    "456",
    "789"
  ]
}

Responses

200 Successful operation

NameTypeDescription
status
required
string

Filter by status

url
required
string

Deposit redirect URL

transaction_id
required
integer

Internal transaction identifier

hash
required
string

Unique hash identifier

listed
required
array<object>

List of successfully listed items

name
optional
string

Full item market hash name

item_id
optional
string

Unique Waxpeer item identifier (item_id)

price
optional
number

Item price in integer format (1000 = $1.00 USD)

failed
required
array<object>

List of items that failed to list

item_id
optional
string

Unique Waxpeer item identifier (item_id)

price
optional
number

Item price in integer format (1000 = $1.00 USD)

name
optional
string

Full item market hash name

error_message
optional
string

Error message

Response
{
  "status": "success",
  "url": "https://pay.waxpeer.com/merchant/mymerchant?hash=7USFcwzEvgxs6l2u3ow4IQxlgJBYEZZt",
  "transaction_id": 123456,
  "hash": "7USFcwzEvgxs6l2u3ow4IQxlgJBYEZZt",
  "listed": [
    {
      "name": "AWP | Asiimov (Field-tested)",
      "item_id": "141414144",
      "price": 1000
    }
  ],
  "failed": [
    {
      "item_id": "141414145",
      "price": 1000,
      "name": "AWP | Asiimov (Field-tested)",
      "error_message": "item_not_acceptable"
    }
  ]
}